- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# StateSetStr.cpp File Reference

`#include <osg/StateAttribute>`
`#include <map>`
`#include <string>`
`#include <string.h>`

Include dependency graph for StateSetStr.cpp:

## Namespaces
namespace | dx
## Defines
#define | ADD_NAME(str, mode) (S_mode_map[(mode)] = (str));
#define | ADD_ATTR(attr, str) (S_attr_map[(attr)] = (str));
## Typedefs
typedef std::map< osg::StateAttribute::GLMode, std::string > | dx::ModeMap
typedef std::map< osg::StateAttribute::Type, std::string > | dx::AttrMap
## Functions
const char * | dx::GLModeToModeStr (osg::StateAttribute::GLMode mode)
osg::StateAttribute::GLMode | dx::GLModeStrToMode (const char mode_str[])
const char * | dx::OSGAttrToAttrStr (osg::StateAttribute::Type attr)
osg::StateAttribute::Type | dx::OSGAttrStrToAttr (const char attr_str[])

## Define Documentation

#define ADD_ATTR | ( | attr,
|  | str |  | ) | (S_attr_map[(attr)] = (str));

#define ADD_NAME | ( | str,
|  | mode |  | ) | (S_mode_map[(mode)] = (str));